aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorrizzo <rizzo@f38db490-d61c-443f-a65b-d21fe96a405b>2006-10-03 15:41:00 +0000
committerrizzo <rizzo@f38db490-d61c-443f-a65b-d21fe96a405b>2006-10-03 15:41:00 +0000
commit628050047233f51bdb67247cf0605b002731a084 (patch)
tree7b14dcbe7dd18e7392ed213ddbdfbdbf1ff312e6 /bootstrap.sh
parenta40ddd90639f15f396117941a00a38afdf34c8eb (diff)
simplify this file
git-svn-id: http://svn.digium.com/svn/asterisk/trunk@44250 f38db490-d61c-443f-a65b-d21fe96a405b
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh43
1 files changed, 21 insertions, 22 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 3a0af02b9..d3d51ee76 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -9,33 +9,32 @@ check_for_app() {
fi
}
+# On FreeBSD, multiple autoconf/automake versions have different names.
+# On linux, envitonment variables tell which one to use.
+
uname -s | grep -q FreeBSD
-if [ $? = 0 ]
-then
- check_for_app autoconf260
- check_for_app autoheader260
- check_for_app automake19
- check_for_app aclocal19
- echo "Generating the configure script ..."
- aclocal19 2>/dev/null
- autoconf260
- autoheader260
- automake19 --add-missing --copy 2>/dev/null
-else
+if [ $? = 0 ] ; then # FreeBSD case
+ MY_AC_VER=259
+ MY_AM_VER=19
+else # linux case
+ MY_AC_VER=
+ MY_AM_VER=
AUTOCONF_VERSION=2.60
AUTOMAKE_VERSION=1.9
export AUTOCONF_VERSION
export AUTOMAKE_VERSION
-
- check_for_app autoconf
- check_for_app autoheader
- check_for_app automake
- check_for_app aclocal
- echo "Generating the configure script ..."
- aclocal 2>/dev/null
- autoconf
- autoheader
- automake --add-missing --copy 2>/dev/null
fi
+check_for_app autoconf${MY_AC_VER}
+check_for_app autoheader${MY_AC_VER}
+check_for_app automake${MY_AM_VER}
+check_for_app aclocal${MY_AM_VER}
+
+echo "Generating the configure script ..."
+
+aclocal${MY_AM_VER} 2>/dev/null
+autoconf${MY_AC_VER}
+autoheader${MY_AC_VER}
+automake${MY_AM_VER} --add-missing --copy 2>/dev/null
+
exit 0